package net.northking.cctp.executePlan.dto.planSceneCase;

import java.io.Serializable;
import java.util.Map;

/**
 * <p>Title: AtuSceneNodeInfoDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/08
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuSceneNodeInfoDto implements Serializable {

    /**
     * 节点ID
     */
    private String nodeId;

    /**
     * 节点类型
     */
    private String nodeType;

    /**
     * 连线ID
     */
    private String lineId;

    /**
     * 脚本ID
     */
    private String scriptId;

    /**
     * 脚本版本id<br>
     */
    private Integer versionId;
    /**
     * 脚本版本名称<br>
     */
    private String versionName;

    /**
     * 脚本名称
     */
    private String scriptName;

    /**
     * 脚本路径
     */
    private String scriptPath;

    /**
     * 用例参数
     */
    private Map<String, Object> caseParam;

    /**
     * 应用平台类型
     */
    private String platformType;

    /**
     * 应用包名
     */
    private String appPackage;

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }

    public String getLineId() {
        return lineId;
    }

    public void setLineId(String lineId) {
        this.lineId = lineId;
    }

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public Integer getVersionId() {
        return versionId;
    }

    public void setVersionId(Integer versionId) {
        this.versionId = versionId;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptPath() {
        return scriptPath;
    }

    public void setScriptPath(String scriptPath) {
        this.scriptPath = scriptPath;
    }

    public Map<String, Object> getCaseParam() {
        return caseParam;
    }

    public void setCaseParam(Map<String, Object> caseParam) {
        this.caseParam = caseParam;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public String getAppPackage() {
        return appPackage;
    }

    public void setAppPackage(String appPackage) {
        this.appPackage = appPackage;
    }
}
